.all-services-main-div {
    width: 100%;
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 2%;
    margin: 5% auto;
}

.services-main-child {
    border: 0.5px solid #7F7F7F;
    padding: 10px;
    cursor: pointer;
    border-radius: 5px;
    margin: 5% 0;
    transition: transform 1s ease, box-shadow 1s ease;
}

.services-main-child-title {
    font-size: var(--desktop-paragraph-font-size);
    font-weight: var(--desktop-subheading-font-weight);
    line-height: var(--desktop-subheading1-line-height);
    color: #000000;
    text-align: center;
}


.services-main-child-content,
.services-working ul li {
    font-size: var(--desktop-subparagraph-font-size);
    line-height: var(--desktop-subparagraph-line-height);
    text-align: left;
}


.services-main-child-content {
    font-weight: var(--desktop-paragraph-font-weight);
}

.services-working ul li {
    font-weight: var(--desktop-subheading-font-weight);
}

.services-main-child img {
    height: 120px;
    object-fit: contain;
    margin: 0 auto;
    width: 100%;
}

.services-working {
    margin: 4% 0;
}

.extra-active-class-on-service-child {
    background-color: var(--primary-color);
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.35);
    transform: scale(1.1);
    border-radius: 10px;
}

.extra-active-class-on-service-child .services-main-child-title,
.extra-active-class-on-service-child .services-working ul li,
.extra-active-class-on-service-child .services-main-child-content {
    color: #fff;
}


/* For medium screens (like tablets) */
@media (max-width: 1024px) {
    .all-services-main-div {
        grid-template-columns: repeat(2, 1fr);
        gap: 0.5%;
        margin: 1% auto;
        height: 100%;
        /* height: 100vh;
        overflow-y: auto; */
    }

    .extra-active-class-on-service-child {
        transform: scale(1);
        border-radius: 10px;
    }
}

/* For small screens (like mobile phones) */
@media (max-width: 768px) {
    .all-services-main-div {
        grid-template-columns: repeat(1, 1fr);
        gap: 0.1%;
        margin: 0% auto;
        height: 100%;
        /*overflow-y: auto; */
    }

    .services-main-child {
        margin: 1% 0;
    }

    .extra-active-class-on-service-child {
        transform: scale(1);
        border-radius: 10px;
    }
}